apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-06-07T09:14:27Z"
  generation: 1
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data
spec:
  image: ami-03a4aa6d399a5d20b
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data
    kops.k8s.io/instancegroup: k8s-prod-data
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-02T01:50:52Z"
  generation: 9
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-c
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.4xlarge
  manager: CloudGroup
  maxSize: 2
  minSize: 2
  nodeLabels:
    datasaker/druid-size: large
    datasaker/group: data-druid
    kops.k8s.io/instancegroup: k8s-prod-data-druid-c
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-druid:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-08-25T06:22:54Z"
  generation: 1
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-historical-cold
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.4xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/druid-size: large
    datasaker/group: data-druid
    druid: historical
    druid/revision: r2
    historical/tier: cold
    kops.k8s.io/instancegroup: k8s-prod-data-druid-historical-cold
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-druid:NoSchedule
  - prod/druid-historical:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-08-25T06:23:03Z"
  generation: 6
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-historical-hot
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.4xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/druid-size: large
    datasaker/group: data-druid
    druid: historical
    druid/revision: r2
    historical/tier: hot
    kops.k8s.io/instancegroup: k8s-prod-data-druid-historical-hot
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-druid:NoSchedule
  - prod/druid-historical:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-05-26T02:27:44Z"
  generation: 5
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-large
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5.4xlarge
  manager: CloudGroup
  maxSize: 2
  minSize: 2
  nodeLabels:
    datasaker/druid-size: large
    datasaker/group: data-druid
    druid: middlemanager
    kops.k8s.io/instancegroup: k8s-prod-data-druid-large
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-druid:NoSchedule
  - prod/druid-middlemanager:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-04-29T12:23:16Z"
  generation: 1
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-middle
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.2xlarge
  manager: CloudGroup
  maxSize: 2
  minSize: 2
  nodeLabels:
    datasaker/druid-size: middle
    datasaker/group: data-druid
    kops.k8s.io/instancegroup: k8s-prod-data-druid-middle
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-druid:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-08-25T06:23:13Z"
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-middle-2
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.2xlarge
  manager: CloudGroup
  maxSize: 2
  minSize: 2
  nodeLabels:
    datasaker/druid-size: middle
    datasaker/group: data-druid
    druid/revision: r2
    kops.k8s.io/instancegroup: k8s-prod-data-druid-middle-2
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-druid:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-08-25T06:23:21Z"
  generation: 6
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-middlemanager
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.4xlarge
  manager: CloudGroup
  maxSize: 2
  minSize: 2
  nodeLabels:
    datasaker/druid-size: large
    datasaker/group: data-druid
    druid: middlemanager
    druid/revision: r2
    kops.k8s.io/instancegroup: k8s-prod-data-druid-middlemanager
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-druid:NoSchedule
  - prod/druid-middlemanager:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-04-29T12:23:24Z"
  generation: 8
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-small
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/druid-size: small
    datasaker/group: data-druid
    kops.k8s.io/instancegroup: k8s-prod-data-druid-small
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-druid:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-08-25T06:23:34Z"
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-small-2
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/druid-size: small
    datasaker/group: data-druid
    druid/revision: r2
    kops.k8s.io/instancegroup: k8s-prod-data-druid-small-2
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-druid:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-06-05T06:48:41Z"
  generation: 1
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-es-data
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.2xlarge
  manager: CloudGroup
  maxSize: 2
  minSize: 2
  nodeLabels:
    datasaker/group: data-es-data
    kops.k8s.io/instancegroup: k8s-prod-data-es-data
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-es-data:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-06-07T02:05:11Z"
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-es-master
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.xlarge
  manager: CloudGroup
  maxSize: 3
  minSize: 3
  nodeLabels:
    datasaker/group: data-es-master
    kops.k8s.io/instancegroup: k8s-prod-data-es-master
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-es-master:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-06-05T06:48:34Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-kafka
spec:
  image: ami-03a4aa6d399a5d20b
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.2xlarge
  manager: CloudGroup
  maxSize: 3
  minSize: 3
  nodeLabels:
    datasaker/group: data-kafka
    kops.k8s.io/instancegroup: k8s-prod-data-kafka
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-kafka:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-06-07T08:34:13Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-process-m5a
spec:
  image: ami-01e58630c6fb43a44
  instanceMetadata:
    httpTokens: required
  machineType: m5a.xlarge
  manager: CloudGroup
  maxSize: 6
  minSize: 6
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: k8s-prod-process-m5a
  role: Node
  rootVolumeSize: 100
  subnets:
  - ap-northeast-2c
  taints:
  - prod/process:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-06-07T08:34:21Z"
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-process-m6i
spec:
  image: ami-01e58630c6fb43a44
  instanceMetadata:
    httpTokens: required
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 3
  minSize: 3
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: k8s-prod-process-m6i
  role: Node
  rootVolumeSize: 100
  subnets:
  - ap-northeast-2c
  taints:
  - prod/process:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-05-19T14:51:54Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-tmp
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.2xlarge
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: tmp
    kops.k8s.io/instancegroup: k8s-prod-tmp
  role: Node
  subnets:
  - ap-northeast-2c

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-01-06T00:25:15Z"
  generation: 6
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-rel-process-c
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 4
  minSize: 4
  mixedInstancesPolicy:
    onDemandAboveBase: 0
    onDemandBase: 0
    spotAllocationStrategy: capacity-optimized
  nodeLabels:
    datasaker/group: rel-process
    kops.k8s.io/instancegroup: k8s-rel-process-c
  role: Node
  rootVolumeSize: 100
  subnets:
  - ap-northeast-2c
  taints:
  - prod/rel-process:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-01T05:36:36Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: master-ap-northeast-2a
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: c5a.large
  maxSize: 1
  minSize: 1
  role: Master
  subnets:
  - ap-northeast-2a

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-01T05:36:36Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: master-ap-northeast-2b
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: c5a.large
  maxSize: 1
  minSize: 1
  role: Master
  subnets:
  - ap-northeast-2b

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-01T05:36:36Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: master-ap-northeast-2c
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: c5a.large
  maxSize: 1
  minSize: 1
  role: Master
  subnets:
  - ap-northeast-2c
